Private [
	"_anbieter", "_aufrufer", "_actionId",
	"_ausruestungTyp", "_typLesbar",
	"_ammo", "_stdAmmo", "_weapons", "_stdWeapons",
	"_items", "_stdItems", "_backpackItems", "_stdBackpackItems",
	"_acePackSuccess"
];

_anbieter = _this select 0; // Das Objekt, welches die Aktion anbietet wird ArmA seitig immer an Position 0 gespeichert
_aufrufer = _this select 1; // Der aufrufende Spieler, also man selbst, wird ArmA seitig immer an Position 1 gespeichert
_actionId = _this select 2; // Die ganze Aktion bekommt einen Identifier; immer gespeichert an Position 2

_ausruestungTyp = _this select 3;

[_aufrufer, "ALL"] call ACE_fnc_RemoveGear;
removeAllWeapons _aufrufer;
removeAllItems _aufrufer;
removeBackpack _aufrufer;

_acePackSuccess = [_aufrufer, 1, 1, 0] call ACE_fnc_PackIFAK;

_typLesbar = "";

switch (_ausruestungTyp) do
{
	case "spotter" :
	{
		_typLesbar = "Spotter";
		
		_items = [
			"ACE_SpottingScope"
		];
		
		_backpackItems = [
		];
		
		_weapons = [
			"ACE_BackPack_ACR_FL",
			"ACE_G36A2_AG36A2"
		];

		_ammo = [
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"1Rnd_HE_M203",
			"1Rnd_HE_M203",
			"1Rnd_HE_M203",
			"1Rnd_HE_M203"
		];
		
		//_acePackSuccess = [_aufrufer, "ACE_G36A2_AG36A2"] spawn ACE_fnc_AddWeaponOnBack;
	};
	
	case "scharfschuetze" :
	{
		_typLesbar = "Scharfschütze";
		
		_items = [
		];
		
		_backpackItems = [
		];
		
		_weapons = [
			"ACE_BackPack_ACR_FL",
			"BAF_LRR_scoped"
		];

		_ammo = [
			"5Rnd_86x70_L115A1",
			"5Rnd_86x70_L115A1",
			"5Rnd_86x70_L115A1",
			"5Rnd_86x70_L115A1",
			"5Rnd_86x70_L115A1",
			"5Rnd_86x70_L115A1"
		];
		
		//_acePackSuccess = [_aufrufer, "ACE_G36A2_AG36A2"] spawn ACE_fnc_AddWeaponOnBack;
	};
	
	case "gruppenscharfschuetze" :
	{
		_typLesbar = "Gruppenscharfschütze";
		
		_items = [
		];
		
		_backpackItems = [
		];
		
		_weapons = [
			"ACE_BackPack_ACR_FL",
			"bw_g3_dmr"
		];

		_ammo = [
			"ACE_20Rnd_762x51_B_G3",
			"ACE_20Rnd_762x51_B_G3",
			"ACE_20Rnd_762x51_B_G3",
			"ACE_20Rnd_762x51_B_G3"
		];
	};

	case "grenadier" :
	{
		_typLesbar = "Grenadier";
		
		_items = [
		];
		
		_backpackItems = [
		];
		
		_weapons = [
			"ACE_BackPack_ACR_FL",
			"ACE_G36A2_AG36A2"
		];

		_ammo = [
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"1Rnd_HE_M203",
			"1Rnd_HE_M203",
			"1Rnd_HE_M203",
			"1Rnd_HE_M203"
		];
	};

	case "luftAbwehr" :
	{
		_typLesbar = "Luftabwehr";
		
		_items = [
		];
		
		_backpackItems = [
		];
		
		_weapons = [
			"ACE_BackPack_ACR_FL",
			"Stinger"
		];

		_ammo = [
			"Stinger",
			"Stinger"
		];
	};
	
	case "panzerAbwehr" :
	{
		_typLesbar = "Panzerabwehr";
		
		_items = [
		];
		
		_backpackItems = [
		];
		
		_weapons = [
			"ACE_BackPack_ACR_FL",
			"ACE_M136_CSRS"
		];

		_ammo = [
			"ACE_M136_CSRS",
			"ACE_M136_CSRS"
		];
	};
	
	case "mgSchuetze" :
	{
		_typLesbar = "MG-Schütze";
		
		_items = [
		];
		
		_backpackItems = [
		];
		
		_weapons = [
			"ACE_BackPack_ACR_FL",
			"BWMod_MG4_Scope_RSAS"
		];

		_ammo = [
			"BWMod_MG4Mag",
			"BWMod_MG4Mag",
			"BWMod_MG4Mag",
			"BWMod_MG4Mag"
		];
	};
	
	case "sturmsoldat" :
	{
		_typLesbar = "Sturmsoldat";
		
		_items = [
		];

		_backpackItems = [
		];
		
		_weapons = [
			"ACE_BackPack_ACR_FL",
			"ACE_G36A2"
		];

		_ammo = [
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36",
			"30Rnd_556x45_G36"
		];
	};
	
	default {
		_typLesbar = "Ungültig";
	};
};

_stdWeapons = [
	"ACE_USPSD"
];

_stdAmmo = [
	"HandGrenade_West",
	"HandGrenade_West",
	"ACE_12Rnd_45ACP_USPSD",
	"ACE_12Rnd_45ACP_USPSD",
	"ACE_12Rnd_45ACP_USPSD",
	"ACE_12Rnd_45ACP_USPSD"
];

_stdItems = [
	//"Binocular_Vector",
	// "ACE_HuntIR_monitor",
	"ItemCompass",
	"ItemGPS",
	"ACE_Map",
	"ACE_Map_Tools",
	"ItemWatch",
	"ace_earplugs",
	"ACE_Rangefinder_OD",
	"ACE_DAGR",
	"ACE_Kestrel4500"
];

_stdBackpackItems = [
	"SmokeShell",
	"SmokeShellRed",
	"SmokeShellGreen",
	"ACE_Medkit",
	"ACE_Medkit",
	"ACE_Medkit",
	"ACE_Bandage",
	"ACE_Bandage",
	"ACE_Bandage",
	"ACE_LargeBandage",
	"ACE_LargeBandage",
	"ACE_LargeBandage",
	"ACE_Morphine",
	"ACE_Morphine",
	"ACE_Morphine"
];

{_aufrufer addWeapon _x} forEach _weapons;
{_aufrufer addWeapon _x} forEach _stdWeapons;

{_aufrufer addMagazine _x} forEach _ammo;
{_aufrufer addMagazine _x} forEach _stdAmmo;

{_aufrufer addWeapon _x} forEach _items;
{_aufrufer addWeapon _x} forEach _stdItems;

{_acePackSuccess = [_aufrufer, _x, 1] call ACE_fnc_PackMagazine;} forEach _backpackItems;
{_acePackSuccess = [_aufrufer, _x, 1] call ACE_fnc_PackMagazine;} forEach _stdBackpackItems;

//[this, "ACE_LargeBandage", 4] call ACE_fnc_PackMagazine; 
 
_aufrufer selectWeapon (primaryWeapon _aufrufer);

systemChat format ["Standardausrüstung '%1' zugewiesen!", _typLesbar];

//_anbieter removeAction _actionId;